CREATE TABLE IF NOT EXISTS `page_views_record` (
  `ownerId` int NOT NULL,
  `siteId` int NOT NULL,
  `versionId` int NOT NULL,
  `day` bigint NOT NULL,
  `viewCount` int NOT NULL DEFAULT 0, 
  PRIMARY KEY (`ownerId`, `siteId`, `versionId`, `day`),
  FOREIGN KEY (`ownerId`) REFERENCES `users`(`userId`),
  FOREIGN KEY (`siteId`) REFERENCES `sites`(`siteId`),
  FOREIGN KEY (`versionId`) REFERENCES `versions`(`versionId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;