-- Create table for comment actions history
CREATE TABLE IF NOT EXISTS `comments_actions_history` (
   `id` int NOT NULL AUTO_INCREMENT,
   `userId` int NOT NULL,
   `userIp` varchar(255) NOT NULL,
   `commentId` int NOT NULL,
   `oldState` varchar(255) NOT NULL,
   `action` varchar(255) NOT NULL,
   `date` bigint NOT NULL,
    PRIMARY KEY (`id`),
    FOREIGN KEY (`userId`) REFERENCES `users`(`userId`),
	FOREIGN KEY (`commentId`) REFERENCES `comments`(`commentId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

ALTER TABLE `comments` DROP COLUMN `userIp`;