CREATE TABLE IF NOT EXISTS `invited_users` (
  `organizationId` varchar(256) NOT NULL,
  `userEmail` varchar(256) NOT NULL,
  `role` varchar(255) NOT NULL,
  `invitedByUserId` int NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`organizationId`, `userEmail`),
  FOREIGN KEY (`organizationId`) REFERENCES `organizations`(`organizationId`),
  FOREIGN KEY (`invitedByUserId`) REFERENCES users (`userId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;