-- Create table for user subscriptions
CREATE TABLE user_subscriptions (
   id SERIAL NOT NULL,
   userId int NOT NULL,
   plan varchar(255) NOT NULL,
   startDate bigint NOT NULL,
   status varchar(255) NOT NULL,
    PRIMARY KEY (id),
    FOREIGN KEY (userId) REFERENCES users(userId)
);

INSERT INTO user_subscriptions(userId, plan, startDate, status) 
SELECT DISTINCT userId, 'START' as plan, EXTRACT(EPOCH FROM now())*1000 as date, 'TRIAL' as status  FROM site_user_role 
WHERE role='ROLE_SITE_OWNER';