
-- Set the organization ID for all existing subscriptions
UPDATE `user_subscriptions` SET `organizationId` = (SELECT id FROM organizations WHERE user_subscriptions.userId = organizations.ownerId);

-- Set the organization ID for all existing subscriptions
UPDATE `user_subscription_notifications` SET `organizationId` = (SELECT id FROM organizations WHERE user_subscription_notifications.userId = organizations.ownerId);

-- Set the organization ID for all existing sites
UPDATE sites
JOIN site_user_role ON sites.siteId = site_user_role.siteId
JOIN organizations ON site_user_role.userId = organizations.ownerId
SET sites.organizationId = organizations.id
WHERE site_user_role.role = 'ROLE_SITE_OWNER';

