CREATE TABLE IF NOT EXISTS `organizations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `organizationId` varchar(256) NOT NULL,
  `name` varchar(256) NOT NULL,
  `ownerId` int NOT NULL,
  `homeUrl` varchar(256),
  `contactEmail` varchar(256),
  `termsAndConditionsURL` varchar(512),
  `privacyPolicyURL` varchar(512),
  `logo` varchar(512),
  `state` varchar(255) NOT NULL DEFAULT 'active',
  `deletionDate` timestamp,
  PRIMARY KEY (`id`),
  UNIQUE KEY `organizationId` (`organizationId`),
  FOREIGN KEY (`ownerId`) REFERENCES `users`(`userId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;