SET @internalOrganizationID := 'com.oxygenxml.feedback:internal' COLLATE utf8mb4_unicode_ci;
SET @anonymousUserEmail := 'anonymous@anonymous.com' COLLATE utf8mb4_unicode_ci;

INSERT INTO `organizations`(`organizationId`, `name`) VALUES (@internalOrganizationID, 'Feedback Internal Organization');

SELECT `id` FROM `organizations` WHERE `organizationId` = @internalOrganizationID INTO @internalOrganizationEntityId;

INSERT INTO `users`(`email`, `name`, `organizationId`, `organizationRole`) VALUES (@anonymousUserEmail, 'Default Anonymous', @internalOrganizationEntityId,'ROLE_ORGANIZATION_MEMBER');

SELECT `userId` FROM `users` WHERE `email` = @anonymousUserEmail AND `organizationId` = @internalOrganizationEntityId INTO @anonymousUserId;

INSERT INTO `user_details`( `userId`, `company`, `role`) VALUES (@anonymousUserId, 'TODO', 'ROLE_ANONYMOUS');
