
-- Update current users
UPDATE users SET organizationId = (SELECT DISTINCT id FROM organizations),
organizationRole = (SELECT 
CASE
    WHEN organizations.ownerId = users.userId THEN 'ROLE_ORGANIZATION_OWNER'
    ELSE 'ROLE_ORGANIZATION_MEMBER'
  END 
FROM organizations);


-- Set the default organization ID for all sites (on enterprise we have only one organization)
UPDATE sites SET organizationId= (SELECT id FROM organizations);
