CREATE TABLE invited_users (
  organizationId varchar(255) NOT NULL,
  userEmail varchar(255) NOT NULL,
  role varchar(255) NOT NULL,
  invitedByUserId int NOT NULL,
  date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY(organizationId, userEmail),
  FOREIGN KEY (organizationId) REFERENCES organizations (organizationId),
  FOREIGN KEY (invitedByUserId) REFERENCES users (userId)
);
